SDL_realloc_func(3type)

NAME
SDL_realloc_func - A callback used to implement SDL_realloc ().

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void *(SDLCALL *SDL_realloc_func)(void *mem, size_t size);

DESCRIPTION
SDL will always ensure that the passed size is greater than 0.

FUNCTION PARAMETERS

mem a pointer to allocated memory to reallocate, or NULL.

size
    the new size of the memory.

RETURN VALUE
Returns a pointer to the newly allocated memory, or NULL if allocation failed.

THREAD SAFETY
It should be safe to call this callback from any thread.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_realloc(3), •(3), SDL_GetOriginalMemoryFunctions(3), •(3), SDL_GetMemoryFunctions(3), •(3), SDL_SetMemoryFunctions(3)